import axios from '@/utils/request'
const baseURL = import.meta.env.VITE_APP_BASE_PROCESS_API;
// 查询分页数据：
export const getFormPage = (arg) => {
  return axios.request({
    baseURL: baseURL,
    url: '/form',
    method: 'get',
    params: arg,
    dataType: 'json'
  })
}
// 查询详情数据：
export const getFormDetail = (arg) => {
  return axios.request({
    baseURL: baseURL,
    url: `/form/${arg.id}`,
    method: 'get',
    dataType: 'json'
  })
}
// 根据path查询表单字段：
export const getFormFields = (arg) => {
  return axios.request({
    baseURL: baseURL,
    url: `/form/fields`,
    method: 'get',
    params: arg,
    dataType: 'json'
  })
}

// 添加数据：
export const addForm = (arg) => {
  return axios.request({
    baseURL: baseURL,
    url: '/form',
    method: 'post',
    data: arg,
    dataType: 'json'
  })
}

// 修改数据：
export const updateForm = (arg) => {
  return axios.request({
    baseURL: baseURL,
    url: '/form',
    method: 'put',
    data: arg,
    dataType: 'json'
  })
}

// 删除数据:
export const deleteForm = (arg) => {
  return axios.request({
    baseURL: baseURL,
    url: '/form/' + arg.id,
    method: 'delete',
    dataType: 'json'
  })
}